<?php
/**************************************************
  Coppermine Plugin - Link Append
  *************************************************
  Copyright (c) 2009 Jeff Bailey
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
***************************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$thisplugin->add_action('plugin_install','link_append_install');
$thisplugin->add_action('plugin_configure','link_append_configure');
$thisplugin->add_filter('template_html','link_append_include');
$thisplugin->add_action('plugin_uninstall','link_append_uninstall');
$thisplugin->add_action('plugin_cleanup','link_append_cleanup');

function link_append_include($html) {
global $CONFIG;
$sql="SELECT value FROM {$CONFIG['TABLE_CONFIG']} WHERE name = 'cpg_link_append_id'";
$resultq1 = cpg_db_query($sql);
while($r = mysql_fetch_array($resultq1)) {
$did = ($r["value"]);
}
$aid = 'cpg_top';
$include_js = <<<EOT
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js"></script>
<script type="text/javascript">
	$(function (){
		$("#$did a").each(function(){
			var CLink = $(this).attr("href");
			var NLink = CLink + '#$aid';
			$(this).attr("href", NLink);
		});
	});
</script>
EOT;

$include_anchor = "<a id=\"$aid\" />";

	$html = str_ireplace('</head>', $include_js . '</head>', $html);
	$html = str_ireplace("<div id=\"$did\">", "<div id=\"$did\">" . $include_anchor , $html);

	return $html;
}

// Install the plugin
function link_append_install() {
global $CONFIG, $thisplugin, $divid, $lanq_link_append;
    require ('plugins/link_append/include/init.inc.php');
    if (!$_POST['submit']) {
        return 1;  // configure function has not been called yet, so return error code '1'
    } elseif ($_POST['submit'] == $lang_link_append['submit']) {
        $divid = addslashes($_POST['divsub']);
        $sql="INSERT IGNORE INTO {$CONFIG['TABLE_CONFIG']} ( `name` , `value` ) VALUES ('cpg_link_append_id', '".$divid."')";
        cpg_db_query($sql);
        return true; // configure function has been called, so install the plugin
    } elseif ($_POST['submit'] == 'Cancel')  {
        header("Location: pluginmgr.php\n\n");  // go back to plugin manager without installing the plugin
        exit(0);
    }
}


// Configure function: displays the configuration form
function link_append_configure($action_code) {
    global $thisplugin, $lanq_link_append;
    require ('plugins/link_append/include/init.inc.php');
    if ($action_code === 1) {
        echo <<< EOT
        <h3>{$lang_link_append['config_title']}<strong>{$thisplugin->name}</strong>!<br />
        {$lang_link_append['config_note_fst']}<br />
        {$lang_link_append['config_note_scd']}<br />
	{$lang_link_append['config_note_trd']}</h3>
        <form action="{$_SERVER['REQUEST_URI']}" method="post">
        <table>
        <tr>
        <td>Div ID:</td>
        <td><input type="text" name="divsub" /></td>
        <td>{$lang_link_append['div_label']}</td>
        </tr>
        <tr>
        <td></td>
        <td></td>
        <td><input type="submit" name="submit" value="{$lang_link_append['submit']}" /><input type="submit" name="submit" value="{$lang_link_append['cancel']}" /></td>
        </tr>
        </table>
        </form>
EOT;
    }
}

// Uninstall (ask admin about dropping table)
function link_append_uninstall()
{
	global $CONFIG, $thisplugin;
	if (!isset($_POST['remove_sql'])) return 1;
	if ($_POST['remove_sql']) {
		cpg_db_query("DELETE FROM {$CONFIG['TABLE_CONFIG']} WHERE name = '{$CONFIG['TABLE_PREFIX']}link_append_id'");
   	}
	return true;
}

// Ask if admin wants to drop the table
function link_append_cleanup($action) 
{
    global $lanq_link_append;
    require ('plugins/link_append/include/init.inc.php');
    if ($action===1) {
        echo <<< EOT
        <form action="{$_SERVER['REQUEST_URI']}" method="post">
        <div style="margin:25;">
        <table border="0" cellspacing="0" cellpadding="0">
        <tr>
        <td>
        <input type="checkbox" name="remove_sql" id="remove_sql" value="1" class="checkbox" /><label for="remove_sql" class="clickable_option">{$lang_link_append['remove_config']}</label>
        </td>
        </tr>
        </table>
        </div>
        <span>
        <input type="submit" name="submit" value="{$lang_link_append['submit']}" />
        <input type="button" name="cancel" onClick="window.location='pluginmgr.php';" value="{$lang_link_append['cancel']}" />
        </span>
        </form>
EOT;
    }
}
?>